Bug 183267 - [PATCH] textproc/p5-SGML-Parser-OpenSP: fix build on system without GCC.
Summary: [PATCH] textproc/p5-SGML-Parser-OpenSP: fix build on system without GCC.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-24 10:30 UTC by Yasuhiro Kimura
Modified: 2014-01-17 22:00 UTC (History)
0 users

See Also:


Attachments
patch-p5-SGML-Parser-OpenSP (799 bytes, text/plain)
2013-10-24 10:30 UTC, Yasuhiro Kimura
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura 2013-10-24 10:30:04 UTC
	
	Fix build on system without GCC.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2013-10-29 20:07:34 UTC
Synopsis: Re: ports/183267: [PATCH] textproc/p5-SGML-Parser-OpenSP: fix build on system without GCC.

State-Changed-From-To: open->closed
State-Changed-By: linimon
State-Changed-When: Tue Oct 29 20:06:57 UTC 2013
State-Changed-Why: 
Misfiled followup to ports/183267; content migrated.


Responsible-Changed-From-To: gnats-admin->freebsd-ports-bugs
Responsible-Changed-By: linimon
Responsible-Changed-When: Tue Oct 29 20:06:57 UTC 2013
Responsible-Changed-Why: 

http://www.freebsd.org/cgi/query-pr.cgi?pr=183268
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2013-10-29 20:07:55 UTC
State Changed
From-To: open->feedback

Date: Thu, 24 Oct 2013 09:31:30 UT 
Comment 3 Yasuhiro Kimura 2013-11-24 02:58:21 UTC
Hello,

Would you please approve this PR?

Best Regards.

---
Yasuhiro KIMURA
Comment 4 Naram Qashat 2013-12-30 16:48:13 UTC
Somehow I missed seeing this PR, sorry about that. The patch is fine to me.

Thanks,
Naram Qashat
Comment 5 dfilter service freebsd_committer 2014-01-17 20:11:06 UTC
Author: rakuco
Date: Fri Jan 17 20:10:59 2014
New Revision: 340100
URL: http://svnweb.freebsd.org/changeset/ports/340100
QAT: https://qat.redports.org/buildarchive/r340100/

Log:
  - Fix the build when GCC is not present. [1]
  - Set LICENSE.
  - USE_DOS2UNIX -> USES=dos2unix
  
  PR:		ports/183267 [1]
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org>
  Approved by:	Naram Qashat <cyberbotx@cyberbotx.com> (maintainer)
  MFH:		2014Q1

Modified:
  head/textproc/p5-SGML-Parser-OpenSP/Makefile
  head/textproc/p5-SGML-Parser-OpenSP/files/patch-Makefile.PL

Modified: head/textproc/p5-SGML-Parser-OpenSP/Makefile
==============================================================================
--- head/textproc/p5-SGML-Parser-OpenSP/Makefile	Fri Jan 17 19:58:58 2014	(r340099)
+++ head/textproc/p5-SGML-Parser-OpenSP/Makefile	Fri Jan 17 20:10:59 2014	(r340100)
@@ -11,13 +11,17 @@ PKGNAMEPREFIX=	p5-
 MAINTAINER=	cyberbotx@cyberbotx.com
 COMMENT=	Parse SGML documents using OpenSP
 
+# The port's README says the port "is licensed under the same terms as Perl
+# itself".
+LICENSE=	ART10 GPLv1
+LICENSE_COMB=	dual
+
 BUILD_DEPENDS=	onsgmls:${PORTSDIR}/textproc/opensp \
 		p5-Class-Accessor>=0:${PORTSDIR}/devel/p5-Class-Accessor \
 		p5-Test-Exception>=0:${PORTSDIR}/devel/p5-Test-Exception
 RUN_DEPENDS:=	${BUILD_DEPENDS}
 
-USE_DOS2UNIX=	yes
-USES=		perl5
+USES=		dos2unix perl5
 USE_PERL5=	configure
 CC=		${CXX}
 CONFIGURE_ARGS+="INC=-I${LOCALBASE}/include"

Modified: head/textproc/p5-SGML-Parser-OpenSP/files/patch-Makefile.PL
==============================================================================
--- head/textproc/p5-SGML-Parser-OpenSP/files/patch-Makefile.PL	Fri Jan 17 19:58:58 2014	(r340099)
+++ head/textproc/p5-SGML-Parser-OpenSP/files/patch-Makefile.PL	Fri Jan 17 20:10:59 2014	(r340100)
@@ -1,14 +1,17 @@
---- Makefile.PL.orig	2010-02-07 23:33:39.000000000 +0900
-+++ Makefile.PL	2010-02-07 23:34:03.000000000 +0900
-@@ -15,7 +15,7 @@
+--- Makefile.PL.orig	2013-10-24 16:00:49.000000000 +0900
++++ Makefile.PL	2013-10-24 16:08:32.000000000 +0900
+@@ -13,9 +13,9 @@
+ else
+ {
      # assume some compatible Linux
-     $options{LD}   = "g++";
-     $options{CC}   = "g++";
+-    $options{LD}   = "g++";
+-    $options{CC}   = "g++";
 -    $options{LIBS} = "-lstdc++ -losp";
++    $options{LD}   = "c++";
++    $options{CC}   = "c++";
 +    $options{LIBS} = "-L%%LOCALBASE%%/lib -lstdc++ -losp";
  }
- 
- WriteMakefile(
+  WriteMakefile(
 @@ -26,6 +26,10 @@
        Test::Exception => 0,
        File::Temp      => 0,
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Raphael Kubo da Costa freebsd_committer 2014-01-17 20:11:12 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 7 dfilter service freebsd_committer 2014-01-17 21:55:26 UTC
Author: rakuco
Date: Fri Jan 17 21:55:18 2014
New Revision: 340123
URL: http://svnweb.freebsd.org/changeset/ports/340123
QAT: https://qat.redports.org/buildarchive/r340123/

Log:
  MFH: r340100
  
  - Fix the build when GCC is not present. [1]
  - Set LICENSE.
  - USE_DOS2UNIX -> USES=dos2unix
  
  PR:		ports/183267 [1]
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org>
  Approved by:	Naram Qashat <cyberbotx@cyberbotx.com> (maintainer)
  Approved by:	portmgr (erwin, antoine)

Modified:
  branches/2014Q1/textproc/p5-SGML-Parser-OpenSP/Makefile
  branches/2014Q1/textproc/p5-SGML-Parser-OpenSP/files/patch-Makefile.PL
Directory Properties:
  branches/2014Q1/   (props changed)

Modified: branches/2014Q1/textproc/p5-SGML-Parser-OpenSP/Makefile
==============================================================================
--- branches/2014Q1/textproc/p5-SGML-Parser-OpenSP/Makefile	Fri Jan 17 21:53:13 2014	(r340122)
+++ branches/2014Q1/textproc/p5-SGML-Parser-OpenSP/Makefile	Fri Jan 17 21:55:18 2014	(r340123)
@@ -11,13 +11,17 @@ PKGNAMEPREFIX=	p5-
 MAINTAINER=	cyberbotx@cyberbotx.com
 COMMENT=	Parse SGML documents using OpenSP
 
+# The port's README says the port "is licensed under the same terms as Perl
+# itself".
+LICENSE=	ART10 GPLv1
+LICENSE_COMB=	dual
+
 BUILD_DEPENDS=	onsgmls:${PORTSDIR}/textproc/opensp \
 		p5-Class-Accessor>=0:${PORTSDIR}/devel/p5-Class-Accessor \
 		p5-Test-Exception>=0:${PORTSDIR}/devel/p5-Test-Exception
 RUN_DEPENDS:=	${BUILD_DEPENDS}
 
-USE_DOS2UNIX=	yes
-USES=		perl5
+USES=		dos2unix perl5
 USE_PERL5=	configure
 CC=		${CXX}
 CONFIGURE_ARGS+="INC=-I${LOCALBASE}/include"

Modified: branches/2014Q1/textproc/p5-SGML-Parser-OpenSP/files/patch-Makefile.PL
==============================================================================
--- branches/2014Q1/textproc/p5-SGML-Parser-OpenSP/files/patch-Makefile.PL	Fri Jan 17 21:53:13 2014	(r340122)
+++ branches/2014Q1/textproc/p5-SGML-Parser-OpenSP/files/patch-Makefile.PL	Fri Jan 17 21:55:18 2014	(r340123)
@@ -1,14 +1,17 @@
---- Makefile.PL.orig	2010-02-07 23:33:39.000000000 +0900
-+++ Makefile.PL	2010-02-07 23:34:03.000000000 +0900
-@@ -15,7 +15,7 @@
+--- Makefile.PL.orig	2013-10-24 16:00:49.000000000 +0900
++++ Makefile.PL	2013-10-24 16:08:32.000000000 +0900
+@@ -13,9 +13,9 @@
+ else
+ {
      # assume some compatible Linux
-     $options{LD}   = "g++";
-     $options{CC}   = "g++";
+-    $options{LD}   = "g++";
+-    $options{CC}   = "g++";
 -    $options{LIBS} = "-lstdc++ -losp";
++    $options{LD}   = "c++";
++    $options{CC}   = "c++";
 +    $options{LIBS} = "-L%%LOCALBASE%%/lib -lstdc++ -losp";
  }
- 
- WriteMakefile(
+  WriteMakefile(
 @@ -26,6 +26,10 @@
        Test::Exception => 0,
        File::Temp      => 0,
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"